%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:           serpentine
Version:        0.7
Release:        6%{?dist}
Summary:        Audio CD Burner

Group:          Applications/Multimedia
License:        GPL
URL:            http://s1x.homelinux.net/projects/serpentine
Source0:        http://download.berlios.de/serpentine/serpentine-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:	noarch

BuildRequires:	pygtk2-devel, GConf2-devel      
BuildRequires:	perl-XML-Parser
BuildRequires:	desktop-file-utils, gettext

Requires:	gstreamer-python, gnome-python2-nautilus-cd-burner
Requires:	gnome-python2-totem, gnome-python2-gnomevfs, gnome-python2-gconf
Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils

%description
Serpentine is an application for writing CD-Audio discs. 
It aims for simplicity, usability and compatibility and accepts a big range of
audio (and video) formats thanks to the excelent GStreamer framework. It also
tries to integrate well with other application, accepting full Drag N Drop
from applications like Nautilus, Rhythmbox and even Firefox.

%prep
%setup -q
sed -i 's!Terminal=False!Terminal=false!' data/serpentine.desktop.in

%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

desktop-file-install --vendor fedora --delete-original         \
        --dir ${RPM_BUILD_ROOT}%{_datadir}/applications         \
        --add-category X-Fedora                                 \
	--remove-category X-Ximian-Main                         \
        $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop

%find_lang %{name}

%post
update-desktop-database &> /dev/null ||:

%postun
update-desktop-database &> /dev/null ||:

%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README
%{_bindir}/*
%dir %{python_sitelib}/serpentine
%{python_sitelib}/serpentine/*.py
%{python_sitelib}/serpentine/*.pyc
%{python_sitelib}/serpentine/plugins/*.py
%{python_sitelib}/serpentine/plugins/*.pyc
%{python_sitelib}/serpentine/*.pyo
%{python_sitelib}/serpentine/plugins/*.pyo
%{_datadir}/applications/*
%{_datadir}/serpentine


%changelog
* Sat Dec 23 2006 Jason L Tibbitts III <tibbs@math.uh.edu> - 0.7-6%{?dist}
- Rebuild with Python 2.5

* Mon Sep 11 2006 Sindre Pedersen Bjørdal <foolish[AT]guezz.net> - 0.7-5
- Add missing perl-XML-Parser dependency to fix build

* Tue Sep 07 2006 Sindre Pedersen Bjørdal <foolish[AT]guezz.net> - 0.7-4
- Removed %ghost of .pyo files due to changes in the python packaging guidelines

* Fri Jul 28 2006 Sindre Pedersen Bjørdal <foolish[AT]guezz.net> - 0.7-3
- Add missing gnome-python2-gconf dependency to solve #200489

* Sun Apr 02 2006 Sindre Pedersen Bjørdal <foolish[AT]guezz.net> - 0.6.91-1
- Initial build
